%define pkg_name        Petal
%define pkg_version     2.19
%define rpm_pkg_version 2.19
%define rpm_pkg_release 1.n0i.1

Summary:       Perl Template Attribute Language
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/Petal/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Harness) >= 2.00
BuildRequires: perl(Scalar::Util)  >= 1.07
BuildRequires: perl(MKDoc::XML)    >= 0.72
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(XML::Parser)

# skip plugins' dependencies
%global perl_filter_req 'perl\\((Lingua::31337|Locale::Maketext)'


%description
Petal stands for "Perl Template Attribute Language".

It is inspired from the Zope Page Templates TAL specification,
and lets you write elegant, WYSIWYG friendly templates.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue Sep 18 2007 Marius Feraru <altblue@n0i.net> - 2.19-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 2.19
